import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:quickcapture/quickcapture_method_channel.dart';

void main() {
  MethodChannelQuickcapture platform = MethodChannelQuickcapture();
  const MethodChannel channel = MethodChannel('quickcapture');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    TestDefaultBinaryMessengerBinding.instance.defaultBinaryMessenger
        .setMockMethodCallHandler(channel, (methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    TestDefaultBinaryMessengerBinding.instance.defaultBinaryMessenger
        .setMockMethodCallHandler(channel, null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
